<template>
  <div>
    <v-tooltip top v-if="!$store.getters['isMobile']">
      <template v-slot:activator="{ on }">
        <v-btn
          :class=customClass
          tile
          :type="type"
          :small=small
          :icon=icon
          :flat=flat
          :color=color
          v-on="on"
          @click="click"
        >
          <v-icon>{{iconName}}</v-icon>
        </v-btn>
      </template>
      <span>{{tip}}</span>
    </v-tooltip>
    <v-btn
      v-else
      :class=customClass
      tile
      :type="type"
      :small=small
      :icon=icon
      :flat=flat
      :color=color
      @click="click"
    >
      <v-icon>{{iconName}}</v-icon>
    </v-btn>
  </div>
</template>

<script>
export default {
  props: {
    color: {
      type: String,
      required: true
    },
    small: {
      type: Boolean,
      required: false
    },
    icon: {
      type: Boolean,
      required: false,
      default: true
    },
    flat: {
      type: Boolean,
      required: false
    },
    iconName: {
      type: String,
      required: true
    },
    tip: {
      type: String,
      required: true
    },
    eventName: {
      type: String,
      required: true
    },
    datas: {
      required: false
    },
    type: {
      type: String,
      required: false,
      default: 'button'
    },
    customClass: {
      type: String,
      required: false,
      default: ''
    }
  },
  methods: {
    click: function () {
      this.$emit(this.eventName, this.datas)
    }
  }
}
</script>
